{% extends 'base.html' %}
{% load custom_tags %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    <head>
        <style>
            .card:hover {
                transform: scale(1.05);
                box-shadow: 0 10px 20px rgba(0, 0, 0, .12), 0 4px 8px rgba(0, 0, 0, .06);
            }
        </style>
        <meta charset="UTF-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css"
              rel="stylesheet"
              integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0"
              crossorigin="anonymous">
        <title>Django Cards</title>
    </head>

    <body>
    <br>
    <div style="display: flex; flex-direction: row; flex-wrap: wrap">

        {#  Card Para crear un proyecto #}
        {% if perms.Proyecto.add_proyectos %}
            <div class="card" style="width: 18rem; margin: 10px">
                <img src="https://promocionmusical.es/wp-content/uploads/2017/12/organize_your_website_redesign-810x455.jpg"
                     class="card-img-top">
                <div class="card-body">
                    <div style="display: flex; flex-direction: row">
                        <h5 class="card-title">Crear Nuevo Proyecto</h5>
                    </div>
                    <p class="card-text">Inicie un nuevo proyecto ahora siguiendo la metodologia Scrum.</p>
                    <a href="{% url 'Proyecto:crearProyecto' %}" class="btn btn-primary">Nuevo Proyecto</a>
                </div>
            </div>
        {% endif %}
        {#  Termina el Card Para crear un proyecto #}

        {#  Cards que listan los proyectos #}
        {% for proyecto in listProyectos %}
            <div class="card" style="width: 18rem; margin: 10px">
                <img src="https://thumbs.dreamstime.com/b/lanzamiento-de-del-cohete-con-el-plan-empresarial-dinero-calendario-calculadora-realización-la-gestión-estrategia-idea-150266903.jpg"
                     class="card-img-top">
                <div class="card-body">
                    <div style="display: flex; flex-direction: row">
                        <h5 class="card-title">{{ proyecto.nombre }}</h5>
                    </div>
                    <p class="card-text">{{ proyecto.descripcion }}</p>

                    <a href="{% url 'Proyecto:DetallesProyecto' proyecto.id %}"
                       class="btn btn-primary"> Ver </a>

                    {% if proyecto.estado != 'T' %}
                        {% if  proyecto.scrumMaster.username == user.get_username %}
                            <a href="{% url 'Proyecto:editarProyecto' proyecto.id %}"
                               class="btn btn-primary {% if proyecto.estado == 'C' %} disabled {% endif %}">
                                Editar </a>
                        {% endif %}
                    {% endif %}
                    {% if not listaSprint|get_at_index:forloop.counter0 is none %}
                        <a href="{% url 'Proyecto:verKanban' listaSprint|get_at_index:forloop.counter0 0 %}"
                           class="btn btn-primary {% if proyecto.estado == 'C' %} disabled {% endif %}">
                            Kanban </a>
                    {% endif %}

                </div>
            </div>
        {% endfor %}
        {#  Fin de Cards que listan los proyectos #}

    </div>
    </body>
{% endblock %}
